APIPush registrations
Search Push Devices
Search the calling user's device registrations; an empty body lists active ones.
Authorization
BearerAuth AuthorizationBearer <token>
Botyard API key — see /docs/authentication.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Body for POST /v1/me/push-registrations/search; empty lists active registrations.
Response Body
application/json
curl -X POST "https://example.com/v1/me/push-registrations/search" \ -H "Content-Type: application/json" \ -d '{}'{
"items": [
{
"registration_id": "string",
"device_install_id": "string",
"platform": "ios",
"apns_environment": "production",
"app_version": "string",
"created_at": "2019-08-24T14:15:22Z",
"last_seen_at": "2019-08-24T14:15:22Z",
"disabled_at": "2019-08-24T14:15:22Z",
"disabled_reason": "signed_out"
}
],
"total": 0,
"limit": 0,
"offset": 0,
"has_more": true
}{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string",
"error_code": "string",
"errors": [
{
"pointer": "string",
"detail": "string",
"type": "string"
}
],
"trace_id": "string"
}